{ pkgs, ... }: {
  # Docker for container-based dev workflows
  virtualisation = {
    docker.enable = true;
    podman.enable = false;
    libvirtd.enable = false;
  };

  environment.systemPackages = with pkgs; [
    lazydocker
    docker-client
  ];
}
